SystemPermission (Apache Derby 10.4 API Documentation)
Date: 2008-04-16

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Derby 10.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.security
Class SystemPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.apache.derby.security.SystemPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public final class SystemPermission

extends java.security.BasicPermission

This class represents access to system-wide Derby privileges.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONTROL` Permission to perform control actions through JMX on engine, server or jmx.
`static java.lang.String` | `ENGINE` Permission target name for actions applicable to the core database engine.
`static java.lang.String` | `JMX` Permission target name for actions applicable to management of Derby's JMX MBeans.
`static java.lang.String` | `MONITOR` Permission to perform monitoring actions through JMX on engine and server.
`static java.lang.String` | `SERVER` Permission target name for actions applicable to the network server.
`static java.lang.String` | `SHUTDOWN` The server and engine shutdown action.

Constructor Summary
`SystemPermission(java.lang.String name, java.lang.String actions)` Creates a new SystemPermission with the specified name.

Method Summary
`boolean` | `equals(java.lang.Object other)` Does this permission equal another object.
`java.lang.String` | `getActions()` Return the permission's actions in a canonical form.
`boolean` | `implies(java.security.Permission permission)` Does this permission imply another.

Methods inherited from class java.security.BasicPermission
`hashCode, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVER

    public static final java.lang.String SERVER

  Permission target name for actions applicable to the network server.

  See Also:
    Constant Field Values

### ENGINE

    public static final java.lang.String ENGINE

  Permission target name for actions applicable to the core database engine.

  See Also:
    Constant Field Values

### JMX

    public static final java.lang.String JMX

  Permission target name for actions applicable to management of Derby's JMX MBeans.

  See Also:
    Constant Field Values

### SHUTDOWN

    public static final java.lang.String SHUTDOWN

  The server and engine shutdown action.

  See Also:
    Constant Field Values

### CONTROL

    public static final java.lang.String CONTROL

  Permission to perform control actions through JMX on engine, server or jmx.

  See Also:
    Constant Field Values

### MONITOR

    public static final java.lang.String MONITOR

  Permission to perform monitoring actions through JMX on engine and server.

  See Also:
    Constant Field Values

Constructor Detail

### SystemPermission

    public SystemPermission(java.lang.String name,
                            java.lang.String actions)

  Creates a new SystemPermission with the specified name.

  Parameters:
    `name` - the name of the SystemPermission
  Throws:
    `java.lang.NullPointerException` - if name is null
    `java.lang.IllegalArgumentException` - if name is empty or not a legal SystemPermission
  See Also:
    `BasicPermission.BasicPermission(String)`

Method Detail

### getActions

    public java.lang.String getActions()

  Return the permission's actions in a canonical form.

  Overrides:
    `getActions` in class `java.security.BasicPermission`

### equals

    public boolean equals(java.lang.Object other)

  Does this permission equal another object. True if its and identical class with same name and (canonical) actions.

  Overrides:
    `equals` in class `java.security.BasicPermission`

### implies

    public boolean implies(java.security.Permission permission)

  Does this permission imply another. Only true if the other permission is a SystemPermission with the same name and all the actions of the permission are present in this. Note that none of the actions imply any other with this SystemPermission.

  Overrides:
    `implies` in class `java.security.BasicPermission`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2008-04-16 18:34:32+0200, from revision 648739
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.4 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.